Skip to main content
POST
/
v1
/
image
/
crop
{
  "input": "https://example.com/photo.jpg",
  "left": 100,
  "top": 50,
  "width": 500,
  "height": 400
}
curl -X POST https://api.ringbee.dev/v1/image/crop \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@photo.jpg" \
  -F "left=100" \
  -F "top=50" \
  -F "width=500" \
  -F "height=400"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/photo.jpg",
  "left": 100,
  "top": 50,
  "width": 500,
  "height": 400
}
curl -X POST https://api.ringbee.dev/v1/image/crop \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@photo.jpg" \
  -F "left=100" \
  -F "top=50" \
  -F "width=500" \
  -F "height=400"
ParamTypeDescription
leftintegerLeft offset in pixels
topintegerTop offset in pixels
widthintegerCrop width in pixels
heightintegerCrop height in pixels

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

left
integer

Left offset in pixels

top
integer

Top offset in pixels

width
integer

Crop width in pixels

height
integer

Crop height in pixels

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"